

import 'package:shimmer/shimmer.dart';
import 'package:flutter/material.dart';


///
/// 搜索输入框的骨架图
///
class SearchInputSkeleton extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      margin: const EdgeInsets.only(right: 12.5, left: 12.5, top: 13),
      child: _shimmerWidget(
        width: double.infinity,
        height: 32,
      ),
    );
  }



  Widget _shimmerWidget({double width, double height, double radius = 0}) {
    return Shimmer.fromColors(
      baseColor: Colors.grey[300],
      highlightColor: Colors.grey[100],
      child: Container(
        width: width,
        height: height,
        decoration: BoxDecoration(color: Colors.white, borderRadius: BorderRadius.circular(radius)),
      ),
    );
  }
}
